## org.hibernate.event.spi
Interface PersistEventListener

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  DefaultPersistEventListener, DefaultPersistOnFlushEventListener, EJB3PersistEventListener, EJB3PersistOnFlushEventListener

    public interface PersistEventListener

extends Serializable

Defines the contract for handling of create events generated from a session.

Method Summary
`void` `onPersist(PersistEvent event)` Handle the given create event.
`void` `onPersist(PersistEvent event, Map createdAlready)` Handle the given create event.

Method Detail

### onPersist

    void onPersist(PersistEvent event)
                   throws HibernateException

  Handle the given create event.

  Parameters:
    `event` - The create event to be handled.
  Throws:
    `HibernateException`

### onPersist

    void onPersist(PersistEvent event,
                   Map createdAlready)
                   throws HibernateException

  Handle the given create event.

  Parameters:
    `event` - The create event to be handled.
  Throws:
    `HibernateException`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.